QGIS Application - Bug report #10386
WFS-T layer change request timed out ("request” parameter missing)
2014-05-29 12:37 AM - Andrei K

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18803
Description

When you try save changes to WFS layer (in my case it's geoserver wfs layer in postgis2) the request end with error:

Commit errors:
ERROR: 1 feature(s) not added.
Provider errors:
empty response

In "Network" tab there is message:
Network request http://myserver.domain.local/geoserver/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;SRSNAME=EPSG:4326 timed
out

Geoserver response for this request is:
<ServiceExceptionReport version="1.2.0" xsi:schemalLocation="http://www.opengis.net/ogc
http://schemas.opengis.net/wfs/1.0.0/OGC-exception.xsd&quot;>

<ServiceException code="MissingParameterValue" locator="request">

Could not determine geoserver request from http request

org.geoserver.platform.AdvancedDispatchFilter$AdvancedDispatchHttpRequest@5d2d8435

</ServiceException>
</ServiceExceptionReport>

As you can see the is "request” parameter missing.

History

#1 - 2014-05-29 02:06 AM - Giovanni Manghi
- Status changed from Open to Feedback

this report is about qgis master? did it worked ok in previous qgis releases?

#2 - 2014-05-29 05:01 AM - Andrei K

Giovanni Manghi wrote:

this report is about qgis master? did it worked ok in previous qgis releases?

Yes itis. | have openSUSE qgis-master:
http://myserver.domain.local/geoserver/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;SRSNAME=EPSG:4326
http://schemas.opengis.net/wfs/1.0.0/OGC-exception.xsd&quot;

QGIS version 2.3.0-Master QGIS code revision exported

Compiled against Qt 4.8.5 Running againstQt 4.8.5

Compiled against GDAL/OGR 1.10.1  Running against GDAL/OGR 1.10.1

Compiled against GEOS 3.4.2-CAPI-1.8.2 Running against GEOS 3.4.2-CAPI-1.8.2r3921
PostgreSQL Client Version 9.2.7 SpatiaLite Version 4.1.1

QWT Version 5.2.3 PROJ.4 Version 480

QScintilla2 Version

Same thing had with qgis 2.2

#3 - 2014-05-30 01:09 AM - Giovanni Manghi

Same thing had with qgis 2.2

and before 2.2?

#4 - 2014-05-30 04:32 AM - Andrei K

Giovanni Manghi wrote:

Same thing had with qgis 2.2

and before 2.2?

Don't know. Haven't tested. And this is the lowest version available in openSUSE 13.1 repos. Same thing my friend have on Windows with latest stable.

#5 - 2014-06-12 10:07 PM - Richard Duivenvoorde

- Subject changed from WFS layer change request timed out ("request” parameter missing) to WFS-T layer change request timed out ("request”

parameter missing)

I can NOT confirm this.

Testing WFS-T both on 2.2 and on master, working with shapefiles and postgis is working ok, here with me (I'm on Debian testing).

Please provide more information about your data etc.

Did you try to edit this layer with other clients? Eg are you able to edit this layer when you load it as a postgis layer in QGIS?

#6 - 2014-06-13 02:16 AM - Andrei K

I'm able to edit this layer directly as postgis layer.
Here is some details. When I'm editing a WFS-T layer changes are stored but the qgis interface shows the above error. As a server I'm using geoserver
25.1.

#7 - 2014-06-19 11:39 PM - Richard Duivenvoorde
To determine if the problem is wfs-t, QGIS, or Geoserver we have to do some cross-checks.

So please install another wfs-t client (see for example: http://gis.stackexchange.com/questions/347/how-many-wfs-t-clients-exist) and check if your wfs-t is

working (because as said, QGIS for me is working ok with the wfs-t servers | use).

#8 - 2014-06-20 12:36 AM - Andrei K

Gaia is outdated. There should be ver.3.4 but on theirs site there is ver.3.2 with no support of WFS-T. Keep looking for proper client.

#9 - 2014-10-11 07:17 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
http://gis.stackexchange.com/questions/347/how-many-wfs-t-clients-exist

